- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DRender
- QAlphaTest
- Qt 6.4.2 Reference Documentation

# QAlphaTest Class

class Qt3DRender::QAlphaTest

The QAlphaTest class specify alpha reference test. More...

Header: | #include <QAlphaTest>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | AlphaTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | AlphaFunction { Never, Always, Less, LessOrEqual, Equal, …, NotEqual }

## Properties

- alphaFunction : AlphaFunction
- referenceValue : float

## Public Functions

Qt3DRender::QAlphaTest::AlphaFunction | alphaFunction() const
float | referenceValue() const

## Public Slots

void | setAlphaFunction(Qt3DRender::QAlphaTest::AlphaFunction alphaFunction)
void | setReferenceValue(float referenceValue)

## Signals

void | alphaFunctionChanged(Qt3DRender::QAlphaTest::AlphaFunction alphaFunction)
void | referenceValueChanged(float referenceValue)

## Detailed Description

As the OpenGL documentation explains; The alpha test discards a fragment conditional on the outcome of a comparison between the incoming fragment's alpha value and a constant reference value.

## Member Type Documentation

### enum QAlphaTest::AlphaFunction

Enumeration for the alpha function values

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QAlphaTest::Never` | `0x0200` | Never pass alpha test
`Qt3DRender::QAlphaTest::Always` | `0x0207` | Always pass alpha test
`Qt3DRender::QAlphaTest::Less` | `0x0201` | Pass alpha test if fragment alpha is less than reference value
`Qt3DRender::QAlphaTest::LessOrEqual` | `0x0203` | Pass alpha test if fragment alpha is less than or equal to reference value
`Qt3DRender::QAlphaTest::Equal` | `0x0202` | Pass alpha test if fragment alpha is equal to reference value
`Qt3DRender::QAlphaTest::GreaterOrEqual` | `0x0206` | Pass alpha test if fragment alpha is greater than or equal to reference value
`Qt3DRender::QAlphaTest::Greater` | `0x0204` | Pass alpha test if fragment alpha is greater than reference value
`Qt3DRender::QAlphaTest::NotEqual` | `0x0205` | Pass alpha test if fragment alpha is not equal to reference value

## Property Documentation

### alphaFunction : AlphaFunction

Holds the alpha function used by the alpha test. Default is Never.

Access functions:

Qt3DRender::QAlphaTest::AlphaFunction | alphaFunction() const
void | setAlphaFunction(Qt3DRender::QAlphaTest::AlphaFunction alphaFunction)

Notifier signal:

void | alphaFunctionChanged(Qt3DRender::QAlphaTest::AlphaFunction alphaFunction)

### referenceValue : float

Holds the reference value used by the alpha test. Default is 0.0. When set, the value is clamped between 0 and 1.

Access functions:

float | referenceValue() const
void | setReferenceValue(float referenceValue)

Notifier signal:

void | referenceValueChanged(float referenceValue)